Subject: Re: [PATCH 1/1] driver/net: add missing rtnl lock/unlock for benet

From: "Li, ZhenHua" <[email-masked]>
Date: Wed, 16 Apr 2014 14:30:49 +0800

Hi David,

I think you are right. I checked other NIC drivers, found some of them 
call rtnl_lock and rtnl_unlock around netif_device_detach and attach 
functions, while some drivers did not.

I will create a new patch in generic way to fix this.

Regards
ZhenHua
On 04/16/2014 03:09 AM, David Miller wrote:
> From: "Li, Zhen-Hua" <[email-masked]>
> Date: Tue, 15 Apr 2014 14:45:52 +0800
>
>> From: "Li, Zhen-Hua" <[email-masked]>
>>
>> In benet driver, netif_device_detach and netif_device_attach should be
>> called between rtnl_lock and rtnl_unlock.
>>
>> Signed-off-by: Li, Zhen-Hua <[email-masked]>
>
> This absolutely does not look like a driver specific issue, therefore
> I do not want you to make such locking context adjustments only in
> your driver.
>
> Do it somewhere generic so that every driver gets the fix, not just
> your driver.
>